#include <sru.h>
#include <def21262.h>

// This function will setup the SRU Registers
.section /pm seg_pmco ; 
.global InitSRU ;
InitSRU :

	// Enable pull-up resistors on unused DAI pins
	r0 = 0x7ffff;
	dm(DAI_PIN_PULLUP) = r0;

	//Generating Code for connecting : DAI_PIN20 to MISCA0
	SRU (LOW, PBEN20_I); 
	SRU (DAI_PB20_O, MISCA0_I); 

	// Return back from the subroutine
	rts;
InitSRU.end:
